SPLIT FILE  OFF.

set seed = 13.

* N Flle generieren.
input program.
+ loop #i = 1 to 300.
-  end case.
+ end loop.
+ end file.
end input program.

compute m = rnd(uniform(1)).
compute x = uniform(7)-3.
compute y =  m * x**2 + normal(2).
formats m (f1.0).

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT y
  /ENTER m x.

compute  x2 = x**2.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT y
  /ENTER m x2.

compute ww = m * x**2.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT y
  /ENTER ww.

SAVE OUTFILE='H:\Daten\Persnliche Ordner\B. Baltes\Manuskripte\AnswerTree\Manuskript\Version 3.1\2004.07\RegressionTree.sav'
 /COMPRESSED.

SORT CASES BY m .
SPLIT FILE
  SEPARATE BY m .
GRAPH
  /SCATTERPLOT(BIVAR)=x WITH y
  /MISSING=LISTWISE .
